Bug Hunting Session
Bug 43308 - various failing sc/qa/unoapi tests (related to headless?)
Summary: various failing sc/qa/unoapi tests (related to headless?)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: subsequenttest-failures Dev-Bugs
  Show dependency treegraph
 
Reported: 2011-11-28 08:44 UTC by Stephan Bergmann
Modified: 2019-08-12 21:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
workdir/${INPATH?}/JunitTest/sc_unoapi/done.log (2.14 MB, text/plain)
2011-11-28 08:44 UTC, Stephan Bergmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Bergmann 2011-11-28 08:44:20 UTC
Created attachment 53905 [details]
workdir/${INPATH?}/JunitTest/sc_unoapi/done.log

With sc/qa/unoapi enabled in subsequentcheck various tests fail for reasons that may be related to the fact that LO is run headless for the tests.  The relevant tests are

sc.ScAccessiblePreviewCell::com::sun::star::accessibility::XAccessibleComponent
sc.ScAutoFormatFieldObj::com::sun::star::sheet::TableAutoFormatField
sc.ScCellCursorObj::com::sun::star::table::CellProperties
sc.ScCellCursorObj::com::sun::star::sheet::XCellRangesQuery
sc.ScCellObj::com::sun::star::table::CellProperties
sc.ScCellObj::com::sun::star::style::CharacterProperties
sc.ScCellObj::com::sun::star::beans::XPropertySet
sc.ScCellRangeObj::com::sun::star::table::CellProperties
sc.ScCellRangeObj::com::sun::star::util::XReplaceable
sc.ScCellRangeObj::com::sun::star::sheet::XCellRangesQuery
sc.ScCellRangesObj::com::sun::star::table::CellProperties
sc.ScCellRangesObj::com::sun::star::beans::XPropertySet
sc.ScDataPilotFieldObj::com::sun::star::sheet::DataPilotField

See the attached done.log for details.
Comment 1 Markus Mohrhard 2011-11-28 08:50:08 UTC
Thanks a lot Stephan.

I'll take care of these tests.
Comment 2 Stephan Bergmann 2011-11-29 07:52:12 UTC
Disabled failing tests as <http://cgit.freedesktop.org/libreoffice/core/commit/?id=23b91df22b63558aa7dfd42270780db909b1e382>.  Please revert when fixed.
Comment 3 Markus Mohrhard 2011-12-04 10:52:58 UTC
sc.ScCellRangeObj::com::sun::star::sheet::XCellRangesQuery
sc.ScCellCursorObj::com::sun::star::sheet::XCellRangesQuery

have the same implementation because both inherit it from ScCellRangeBase and therefore only need one test

the new test is written in c++ in sc/qa/extras/xcellrangesquery.cxx

I think the failure was due to different handling of string cells in LibO than in OOo and we may have a error in queryFormulaCells

remaining failing test cases:

sc.ScAccessiblePreviewCell::com::sun::star::accessibility::XAccessibleComponent
sc.ScAutoFormatFieldObj::com::sun::star::sheet::TableAutoFormatField
sc.ScCellCursorObj::com::sun::star::table::CellProperties
sc.ScCellObj::com::sun::star::table::CellProperties
sc.ScCellObj::com::sun::star::style::CharacterProperties
sc.ScCellObj::com::sun::star::beans::XPropertySet
sc.ScCellRangeObj::com::sun::star::table::CellProperties
sc.ScCellRangeObj::com::sun::star::util::XReplaceable
sc.ScCellRangesObj::com::sun::star::table::CellProperties
sc.ScCellRangesObj::com::sun::star::beans::XPropertySet
sc.ScDataPilotFieldObj::com::sun::star::sheet::DataPilotField
Comment 4 Markus Mohrhard 2011-12-04 14:58:19 UTC
sc.ScAutoFormatFieldObj::com::sun::star::sheet::TableAutoFormatField seems to be broken in several ways.

This test could have never worked and is broken too. The failing part VertJustify only supports values 0 to 4 and the test tries to set it to 5. But then we have a change from Kohei which seems has broken the uno implementation for two properties:

http://opengrok.libreoffice.org/diff/core/sc/source/ui/unoobj/afmtuno.cxx?r2=%2Fcore%2Fsc%2Fsource%2Fui%2Funoobj%2Fafmtuno.cxx%407da57d17b6179e71c8b6d7549ad89eaf3a4a28c6&r1=%2Fcore%2Fsc%2Fsource%2Fui%2Funoobj%2Fafmtuno.cxx%404573ccfffda4c2bea55d1da2ac1357bcde91e67a

C++ based test is in sc/qa/extras/tableautoformatfield.cxx, tests are disabled for now
Comment 5 Markus Mohrhard 2011-12-04 15:16:12 UTC
same problem for:

sc.ScCellCursorObj::com::sun::star::table::CellProperties
sc.ScCellObj::com::sun::star::table::CellProperties
sc.ScCellRangeObj::com::sun::star::table::CellProperties
sc.ScCellRangesObj::com::sun::star::table::CellProperties

see http://opengrok.libreoffice.org/diff/core/sc/source/ui/unoobj/cellsuno.cxx?r2=%2Fcore%2Fsc%2Fsource%2Fui%2Funoobj%2Fcellsuno.cxx%407da57d17b6179e71c8b6d7549ad89eaf3a4a28c6&r1=%2Fcore%2Fsc%2Fsource%2Fui%2Funoobj%2Fcellsuno.cxx%403024512c90d8660d35d4824471c436d68aa62241

all these tests will be merged into one single test because they share the same implementation

I think we should have one test suite per implementation class, that would result e.g. in a test suite for ScCellRangesBase which implements this part

remaining failing tests:

sc.ScAccessiblePreviewCell::com::sun::star::accessibility::XAccessibleComponent
sc.ScCellObj::com::sun::star::style::CharacterProperties
sc.ScCellRangeObj::com::sun::star::util::XReplaceable
sc.ScCellRangesObj::com::sun::star::beans::XPropertySet
sc.ScDataPilotFieldObj::com::sun::star::sheet::DataPilotField
Comment 6 Markus Mohrhard 2011-12-04 15:57:21 UTC
implementation for:
sc.ScCellCursorObj::com::sun::star::table::CellProperties
sc.ScCellObj::com::sun::star::table::CellProperties
sc.ScCellRangeObj::com::sun::star::table::CellProperties
sc.ScCellRangesObj::com::sun::star::table::CellProperties

is at sc/qa/extras/cellproperties.cxx

makefile for file and xcellrangesquery.cxx is sc/Cppunit_sc_cellrangesbase.mk
Comment 7 Markus Mohrhard 2011-12-04 16:31:51 UTC
sc.ScCellRangesObj::com::sun::star::beans::XPropertySet

should be the same problem, there will be no own implementation for this, 
the java test just tests all properties that are in CellProperties twice, once in the CellProperties test and once in the XPropertySet test, I just don't understand why we the XPropertySet does not fail for sc.ScCellCursorObj
Comment 8 Markus Mohrhard 2011-12-05 12:46:41 UTC
sc.ScCellCursorObj::com::sun::star::table::CellProperties
sc.ScCellObj::com::sun::star::table::CellProperties
sc.ScCellObj::com::sun::star::beans::XPropertySet
sc.ScCellRangeObj::com::sun::star::table::CellProperties
sc.ScCellRangesObj::com::sun::star::table::CellProperties
sc.ScCellRangesObj::com::sun::star::beans::XPropertySet
sc.ScAutoFormatFieldObj::com::sun::star::sheet::TableAutoFormatField

are now fixed in master and will be therefore fixed in 3-5

They needed an api incompatible change in table::CellProperties and sheet::TableAutoFormatField
Comment 9 Markus Mohrhard 2011-12-07 07:28:35 UTC
sc.ScDataPilotFieldObj::com::sun::star::sheet::DataPilotField does not fail as c++ based version

might just be that the java version has a design error, I'll push the c++ based version to sc/qa/extras/datapilotfieldobj.cxx

remaining failing tests:

sc.ScAccessiblePreviewCell::com::sun::star::accessibility::XAccessibleComponent
sc.ScCellObj::com::sun::star::style::CharacterProperties
sc.ScCellRangeObj::com::sun::star::util::XReplaceable
Comment 10 Alex Thurgood 2011-12-07 23:31:43 UTC
(In reply to comment #9)
> sc.ScDataPilotFieldObj::com::sun::star::sheet::DataPilotField does not fail as
> c++ based version
> 
> might just be that the java version has a design error, I'll push the c++ based
> version to sc/qa/extras/datapilotfieldobj.cxx
> 
> remaining failing tests:
> 
> sc.ScAccessiblePreviewCell::com::sun::star::accessibility::XAccessibleComponent
> sc.ScCellObj::com::sun::star::style::CharacterProperties
> sc.ScCellRangeObj::com::sun::star::util::XReplaceable

Hi all,

This test failed for me this morning on my master build pulled and made last night.


Alex
Comment 11 Markus Mohrhard 2011-12-08 09:23:25 UTC
just for the record, test failed because there were some lock files from an earlier run

and sc_datapilotfield contains more tests, it also tests for ScDataPilotFieldObj::XDatapilotFieldGrouping
Comment 12 Markus Mohrhard 2012-01-28 13:49:48 UTC
It seems that nearly all XReplaceable methods are broken. Not only in calc, we should look into that.
Comment 13 Markus Mohrhard 2012-01-29 14:12:48 UTC
Can reproduce the problem with a c++ based test with:

sc.ScCellRangeObj::com::sun::star::util::XReplaceable

but not with

sc.ScTableSheetObj::com::sun::star::util::XReplaceable
Comment 14 Markus Mohrhard 2012-01-29 15:26:03 UTC
My mistake. Can't reproduce it with a c++ based test.

I suspect that the java test is not totally correct.

Pushed a c++ based test for sc.ScCellRangeObj::com::sun::star::util::XReplaceable

Remaining issues:

sc.ScAccessiblePreviewCell::com::sun::star::accessibility::XAccessibleComponent
sc.ScCellObj::com::sun::star::style::CharacterProperties
Comment 15 retired 2014-01-08 09:22:25 UTC
This bug hasn't seen any action. Freeing this bug and switching ASSIGNED to NEW

Markus if you are still working on this, please re-assign yourself.
Comment 16 Joel Madero 2015-05-02 15:42:50 UTC Comment hidden (obsolete)
Comment 17 QA Administrators 2016-09-20 09:36:48 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920